System.Web 2.0.0.0 System.Object

ASP.NET health monitoring allows production and operations staff to manage deployed Web applications. The namespace contains the health-event types responsible for packaging application health-status data and the provider types responsible for processing this data. It also contains supporting types that help during the management of health events.

The class is the root of the inheritance tree for all the ASP.NET health-monitoring event types. It uses the class to obtain application information that is available to its derived class.

In most cases you will be able to use the ASP.NET health-monitoring types as implemented, and you will control the health-monitoring system by specifying values in the <healthMonitoring> configuration section. You can also derive from the health-monitoring types to create your own custom events and providers. For an example of deriving from the class, see the example provided in this topic.

Defines the base class for the ASP.NET health-monitoring events.

- Constructor
  To be added.
  To be added.

  This constructor is used internally by the ASP.NET health-monitoring system. You will never use it to create an instance of the class, but you can call this constructor when you implement your own event type that inherits from this class.

  Initializes a new instance of the class using the supplied parameters.

  The description of the event.
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.

  This constructor is used internally by the ASP.NET health-monitoring system. You will never use it to create an instance of the class, but you can call this constructor when you implement your own event type that inherits from this class.

  Initializes a new instance of the class using the supplied parameters.

  The description of the raised event.
  2.0.0.0
- Property
  System.Web.Management.WebApplicationInformation To be added. To be added.

  Gets a object that contains information about the current application being monitored.

  2.0.0.0
- Property
  System.Int32 To be added.

  More information about the event is contained in the related value.

  If you inherit from the class, the event code you specify for your custom event must be greater than .

  Gets the code value associated with the event.

  2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the event detail code.

  2.0.0.0
- Property
  System.Guid To be added. To be added.

  Gets the identifier associated with the event.

  2.0.0.0
- Property
  System.Int64 To be added.

  This is a counter that indicates how many instances of the event have been raised by the application.

  Gets the number of times the event has been raised by the application.

  2.0.0.0
- Property
  System.Object To be added. To be added.

  Gets the object that raises the event.

  2.0.0.0
- Property
  System.DateTime To be added. To be added.

  Gets the time when the event was raised.

  2.0.0.0
- Property
  System.DateTime To be added. To be added.

  Gets the time when the event was raised.

  2.0.0.0
- Method
  System.Void ``

  The method provides a uniform format for event information, which is useful if the event data must be logged and later presented to the user. It is called internally when the provider invokes one of the methods.

  When you format your custom event information for display, override the method rather than the method. This will avoid overwriting or tampering with sensitive system information.

  Provides standard formatting of the event information.

  A object that contains the formatted event information. 2.0.0.0
- Property
  System.String To be added.

  This property describes the meaning of the code value associated with the raised event.

  Gets the message that describes the event.

  2.0.0.0
- Method
  System.Void

  If you override this method, the event raised is your custom event.

  Medium trust or higher is required to raise an event.

  Raises an event by notifying any configured provider that the event has occurred.

  2.0.0.0
- Method
  System.Void `` To be added.

  This method raises the specified event by notifying any configured provider that the event has occurred.

  Medium trust or higher is required to raise an event.

  Raises the specified event by notifying any configured provider that the event has occurred.

  2.0.0.0
- Method
  System.String

  The method is generally invoked by the provider that processes the event. The method ensures that the standard object is provided with the event-specific data. It formats event information by calling the event-specific method.

  When you format your custom event information for display, override the method rather than the method. This will avoid overwriting or tampering with sensitive system information.

  Formats event information for display purposes.

  The event information.

  2.0.0.0
- Method
  System.String `` `` To be added. To be added.

  The method is generally invoked by the provider that processes the event. It formats event information by calling the event-specific method. If is true, the standard object is provided with the event-specific data.

  When you format your custom event information for display, override the method rather than the method. This will avoid overwriting or tampering with sensitive system information.

  Formats event information for display purposes.

  The event information.

  2.0.0.0